summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Bogdan Radulescu2013-02-10 23:18:44 +0100
committer Erik Hanson2013-02-14 07:26:36 +0100
commit9b22baccbf3726459a2460d9e9ced47c3ad51dae (patch)
tree9e44b3a579bcb5f9fa960f6e55494072a05e2d0f /libraries
parent5645f172dcf889df8ad21ff2a9a781a05171e210 (diff)
downloadslackbuilds-9b22baccbf3726459a2460d9e9ced47c3ad51dae.tar.gz
libraries/libee: Added (Event Expression Library inspired by CEE)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libee/README5
-rw-r--r--libraries/libee/libee.SlackBuild98
-rw-r--r--libraries/libee/libee.info10
-rw-r--r--libraries/libee/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/libraries/libee/README b/libraries/libee/README
new file mode 100644
index 0000000000..ca6b41fd03
--- /dev/null
+++ b/libraries/libee/README
@@ -0,0 +1,5 @@
+libee (An Event Expression Library inspired by CEE)
+
+CEE is an upcoming standard used to describe network events in
+a number of normalized formats. Its goal is to unify the many
+different representations that currently exist in the industry.
diff --git a/libraries/libee/libee.SlackBuild b/libraries/libee/libee.SlackBuild
new file mode 100644
index 0000000000..d23a257fe8
--- /dev/null
+++ b/libraries/libee/libee.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libee
+
+# Copyright 2013 Bogdan Radulescu <bogdan@nimblex.net> Romania
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libee
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libee/libee.info b/libraries/libee/libee.info
new file mode 100644
index 0000000000..029b5f59d3
--- /dev/null
+++ b/libraries/libee/libee.info
@@ -0,0 +1,10 @@
+PRGNAM="libee"
+VERSION="0.4.1"
+HOMEPAGE="http://www.libee.org"
+DOWNLOAD="http://www.libee.org/download/files/download/libee-0.4.1.tar.gz"
+MD5SUM="7bbf4160876c12db6193c06e2badedb2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libestr"
+MAINTAINER="Bogdan Radulescu"
+EMAIL="bogdan@nimblex.net"
diff --git a/libraries/libee/slack-desc b/libraries/libee/slack-desc
new file mode 100644
index 0000000000..d4a0c852b9
--- /dev/null
+++ b/libraries/libee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libee: libee (An Event Expression Library inspired by CEE)
+libee:
+libee: CEE is an upcoming standard used to describe network events in
+libee: a number of normalized formats. Its goal is to unify the many
+libee: different representations that currently exist in the industry.
+libee:
+libee: http://www.libee.org
+libee:
+libee:
+libee:
+libee: